@font-face {
  font-family: "Allenoire";
  src: url("Assets/allenoire-allenoire-regular-400.otf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

:root {
    --color-ivory: #FFF5DE;
    --color-brown: #744C29;

    --font-size-p: 22px;
    --font-size-legende: 16px;
    --font-size-header: 22px;
}

body {
    font-family: "EB Garamond", serif;
    background-color: var(--color-ivory);
    color: var(--color-brown);
}

html, body {
    overflow-x: hidden;
    width: 100%;
}

img {
    max-width: 100%;
}

a {
    text-decoration: none;
}

p, li {
    font-size: var(--font-size-p);
    color: var(--color-brown);
}

.container {
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
    }

[class*="col-"] {
    padding: 0 10px;
    box-sizing: border-box;
}

.col-1 { width: 8.333%; }
.col-2 { width: 16.666%; }
.col-3 { width: 25%; }
.col-4 { width: 33.333%; }
.col-5 { width: 41.666%; }
.col-6 { width: 50%; }
.col-7 { width: 58.333%; }
.col-8 { width: 66.666%; }
.col-9 { width: 75%; }
.col-10 { width: 83.333%; }
.col-11 { width: 91.666%; }
.col-12 { width: 100%; }

/* ANIMATIONS */

nav a {
  position: relative;
  display: inline-block;
}

nav a::after {
  content: "";
  position: absolute;
  width: 27px;
  height: 25px;
  background-image: url("Assets/Petale.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  left: -40px;
  top: -2px;
  opacity: 0;
  transform: scale(0) rotate(-20deg);
  transition: 0.3s ease;
  pointer-events: none;
}

nav a:hover::after {
  opacity: 1;
  transform: scale(1) rotate(-20deg);
}

.button {
    position: relative;
}

.button::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-brown);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(1);    
}

.button:hover::after {
    transform: scaleX(0);
}

.no-line::after {
  display: none;
}

.txt-top img {
    animation: balancement 30s ease-in-out infinite;
    transform-origin: center center;
}

@keyframes balancement {
    0% { transform: rotate(0deg); }
    25% { transform: rotate(65deg); }
    75% { transform: rotate(-10deg); }
    100% { transform: rotate(0deg); }
}

@keyframes balancement2 {
    0% { transform: rotate(0deg); }
    25% { transform: rotate(5deg); }
    75% { transform: rotate(-5deg); }
    100% { transform: rotate(0deg); }
}

.footer-bottom a {
    position: relative;
}

.footer-bottom a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-brown);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
}

.footer-bottom a:hover::after {
    transform: scaleX(1);
}

.card-img {
    position: relative;
}

.img-hover {
    position: absolute;
    top: 0;
    left: 0;
    width: auto;
    height: 345px;
    opacity: 0;
    transition: opacity 0.4s ease;
}

.card-projet:hover .img-hover {
    opacity: 1;
}

/* HEADER */

.navigation a {
    font-family: "Allenoire";
    font-size: var(--font-size-header);
    color: var(--color-brown);
}

nav ul {
    display: inline-flex;
    align-items: center;
    gap: 100px;
}

.navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    padding-top: 30px;
    padding-bottom: 50px;
}

header {
    padding-bottom: 50px;
}

/* TOUTES LES SECTIONS */

h1, h2 {
    font-family: "Allenoire";
    font-size: 40px;
    padding-bottom: 50px;
}

.title {
    font-family: "Allenoire";
    padding-bottom: 20px;
}

p {
    padding-bottom: 40px;
}

ul {
    padding-bottom: 20px;
}

.bold {
    font-weight: bold;
}

.section-mentions,
.section-conditions,
.section-politique {
    padding: 0 100px 100px 100px;
}

.section-mentions .txt,
.section-conditions .txt,
.section-politique .txt {
    text-align: left;
}

/* SECTION-CONTACT */

.txt-top p,
.txt-bottom p {
    font-size: 50px;
    font-family: "Allenoire";
}

.txt-top {
    display: inline-flex;
    align-items: center;
    gap: 30px;
}

.txt {
    text-align: center;
}

.section-contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 100px;
}

.button {
    background-color: transparent;
    border: none;
    color: var(--color-brown);
    font-family: "EB Garamond", serif;
    font-size: var(--font-size-p);
    cursor: pointer;
}

.cta {
    margin-top: 20px;
}

/* FOOTER */

html {
  scroll-behavior: smooth;
}

footer {
    position: relative;
    overflow: hidden;
}

.flowers {
    align-items: flex-end;
    width: 100%;
    position: relative;
    width: 100%;
    height: 630px;
    bottom: -300px;
    z-index: 1;
}

.footer-logo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 3;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer-logo img {
    width: 996px;
    height: auto;
    display: block;
    z-index: 1;
}

.flowers img {
    position: absolute;
    bottom: 0;
    height: 570px;
    width: auto;
    animation: balancement2 20s ease-in-out infinite;
    transform-origin: bottom center;
}

.flowers img:nth-child(1) { z-index: 2; }
.flowers img:nth-child(2) { z-index: 1; }
.flowers img:nth-child(3) { z-index: 3; }
.flowers img:nth-child(4) { z-index: 2; }

.flowers img:nth-child(4) {
    left: -1%;
}

.flowers img:nth-child(3) {
    left: calc(25% - 144px);
}

.flowers img:nth-child(2) {
    left: calc(50% - 195px);
}

.flowers img:nth-child(1) {
    left: calc(75% - 325px);
}

.flowers img:nth-child(5) {
    left: calc(75% - -105px);
}

.flowers img:nth-child(1) { animation-delay: 0s; }
.flowers img:nth-child(2) { animation-delay: 0.5s; }
.flowers img:nth-child(3) { animation-delay: 1s; }
.flowers img:nth-child(4) { animation-delay: 1.5s; }

.footer-bottom {
    position: relative;
    z-index: 5;
    background-color: var(--color-ivory);
    padding: 20px 120px;
}

.footer-bottom a {
    color: var(--color-brown);
}

.footer-bottom ul {
    display: inline-flex;
    align-items: center;
    gap: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-txt {
    font-size: 16px;
}

/* RESPONSIVE */

.burger {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 5px;
}

.burger span {
    display: block;
    width: 25px;
    height: 2px;
    background-color: var(--color-brown);
}

@media (max-width: 767px) {

    .col-1, .col-2, .col-3, .col-4,
    .col-5, .col-6, .col-7, .col-8,
    .col-9, .col-10, .col-11, .col-12 {
        width: 100%;
    }

    /* HEADER */

    .burger {
        display: flex;
        grid-column: 1;
        grid-row: 1;
        z-index: 11;
        cursor: pointer;
    }

    nav {
        position: relative;
    }

    .navigation {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding-top: 20px;
        padding-bottom: 20px;
        height: 120px;
    }

    .navigation > div {
        grid-column: 2;
        grid-row: 1;
        display: flex;
        justify-content: center;
    }

    .navigation ul {
        grid-column: 1 / -1;
        grid-row: 2;
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding-top: 20px;
        width: 100%;
        padding-bottom: 20px;
    }

    nav ul {
        display: none;
        position: fixed;
        top: 70px;
        left: 50%;
        transform: translateX(-50%);
        flex-direction: column;
        align-items: center;
        gap: 20px;
        background-color: var(--color-ivory);
        padding: 30px 40px;
        z-index: 10;
        width: 250px;
        top: 120px;
    }

    nav.open ul {
        display: flex !important;
    }

    .navigation > div img {
        width: 150px;
        height: auto;
    }

    nav ul li {
        position: relative;
    }

    nav a::after {
        left: -35px;
        top: 0;
    }

    /* SECTION-HERO */

    .section-hero {
        margin-top: 100px;
        margin-bottom: 80px;
    }

    .hero-flowers {
        width: 100%;
        height: 280px;
        left: 0;
        margin-top: -230px;
        margin-bottom: 60px;
        top: 20px;
    }

    .hero-flowers img {
        height: 280px;
    }

    .flowers1,
    .flowers3 {
        top: 10px
    }

    .hero-flowers img:nth-child(1) {
        left: -20px;
    }

    .hero-flowers img:nth-child(2) {
        left: 30%;
        top: -50px;
        transform: translateX(-50%);
    }

    .hero-flowers img:nth-child(3) {
        left: auto;
        right: -20px;
    }

    h1 {
        font-size: 32px;
    }

    .title {
        width: 240px;
    }

    .hero-p {
        padding: 0 20px;
        text-align: center;
    }

    .hero-p p {
        font-size: 18px;
    }

    /* TOUTES LES SECTIONS */

    .section-mentions,
    .section-conditions,
    .section-politique {
        padding: 0 20px 50px 20px;
    }

    /* SECTION-CONTACT */

    .section-contact {
        margin-left: 20px;
        margin-right: 20px;
    }

    .txt-top p,
    .txt-bottom p {
        font-size: 32px;
    }

    .txt-top img {
        width: 100px;
        height: auto;
    }

    /* FOOTER */

    .flowers img {
        width: auto;
        height: 200px;
    }

    .flowers {
        bottom: 290px;
    }

    .flowers img:nth-child(4) {
        left: 350px;
    }

    .flowers img:nth-child(3) {
        left: 230px;
    }

    .flowers img:nth-child(2) {
        left: 110px;
    }

    .flowers img:nth-child(1) {
        left: -10px;
    }

    footer {
        height: 300px;
    }

    .footer-bottom {
        margin-top: -384px;
        padding: 20px 20px;
    }

    .footer-logo img {
        width: 700px;
    }

    .footer-bottom ul {
        gap: 20px;
    }

    .footer-bottom ul li {
        font-size: 14px;
    }

    .no-line img {
        width: 20px;
        height: auto;
    }
}